Enable automatic compilation and unit test verification

refs #2691

Change-Id: I0ab113fc9c4d481a74534fb8105a87dde8f76a12
diff --git a/.jenkins.d/30-unit-tests.sh b/.jenkins.d/30-unit-tests.sh
new file mode 100755
index 0000000..815e3f1
--- /dev/null
+++ b/.jenkins.d/30-unit-tests.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+set -x
+set -e
+
+# Prepare environment
+sudo rm -Rf ~/.ndn
+
+# Run unit tests
+./build/catalog/unit-tests -l test_suite